Package org.eclipse.graphiti.internal.features.context.impl.base

# Class DefaultContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext

All Implemented Interfaces:
  `IContext`, `IPropertyBag`

Direct Known Subclasses:
  `CreateConnectionContext`, `LocationContext`, `PictogramElementContext`, `PictogramElementsContext`, `PrintContext`, `ReconnectionContext`, `RemoveBendpointContext`, `SaveImageContext`, `SplitConnectionContext`

public class DefaultContext extends PropertyBag implements IContext
The Class DefaultContext.

## Constructor Summary

Constructors
Constructor
Description
`DefaultContext()`
Instantiates a new default context.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Constructor Details

### DefaultContext

public DefaultContext()
Instantiates a new default context.

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`